[SOLVED] XDK build failed cordova version 3.5 not supported

Discussion and feedback on Construct 2

Post » Fri Mar 11, 2016 5:47 pm

Hi to everyone!
I've an issue building a mobile app for android trough Intel XDK. It's not the first time I use it and it has always worked.
This time I've exported the project using cordova in construct (minimum android 4.0+ [crosswalk]) and I''ve imported it in Intel XDK. Than i've setted the project in XDK as usual and I've uploaded it, but when i try to build the ap, Intel XDK says that the build failed and the build log is:

Error: "3.5" is not a supported Cordova version. Please specify Cordova 4.1.2, 5.1.1, or 5.4.1.

what did i do wrong?
Sorry for my poor english and thanks to any reply!
:D
Last edited by pontolix on Sat Mar 12, 2016 3:30 pm, edited 1 time in total.
B
7
S
1
Posts: 13
Reputation: 351

Post » Fri Mar 11, 2016 8:25 pm

Look under "Build Settings" for your project. You want to find the "Cordova CLI Version." You should be able to change the version there. If you change it and it still doesn't build, there is likely another problem. (One I can't help with. :)
B
6
S
2
Posts: 12
Reputation: 426

Post » Sat Mar 12, 2016 1:32 pm

Thank you! :D
B
7
S
1
Posts: 13
Reputation: 351

Post » Sat Mar 12, 2016 3:32 pm

I've been using an old version of Intel XDK. :oops: I've updated it and now it's ok.
B
7
S
1
Posts: 13
Reputation: 351


Return to Construct 2 General

Who is online

Users browsing this forum: SirG and 21 guests